<?php
/*
Plugin Name: NagAds
Plugin URI: http://codecanyon.net/item/nagads-wordpress-plugin/303975
Description: WordPress plugin to show and manage ads in a modal box.
Version: 1.0
Author: 20Script
Author URI: http://www.20script.ir/
*/

DEFINE("NAAdID", "");

/* Operation performed out when activating the plugin
----------------------------------------------------------------------------------------------------*/
function NAInstaller() 
{
	global $wpdb;
	
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');

	$NATableName = $wpdb->prefix . "NAAdsList";
	
	$NASQL = "CREATE TABLE " . $NATableName . " (
	  id mediumint(9) NOT NULL AUTO_INCREMENT,
	  ContentType tinytext NOT NULL,
	  Name tinytext NOT NULL,
	  Delay mediumint(9) NOT NULL,
	  Link VARCHAR(255) DEFAULT '' NOT NULL,
	  YouTubeID tinytext NOT NULL,
	  AdsIMG VARCHAR(255) DEFAULT '' NOT NULL,
	  LinkOverSWF text NOT NULL,
	  SWFURL VARCHAR(255) DEFAULT '' NOT NULL,
	  EmbedCode text NOT NULL,
	  Width mediumint(9) NOT NULL,
	  Height mediumint(9) NOT NULL,
	  UNIQUE KEY id (id)
	);";
	
	dbDelta($NASQL);
	
	$wpdb->insert($NATableName, array( 'ContentType' => 'img', 'Name' => 'Road Safety Example Ad (1)', 'AdsIMG' => 'http://maxpag.eu/envato/wp/ad1.jpg', 'Delay' => '15', 'Link' => 'http://www.roadsafety.com/'));

	if(!get_option('NABgColor')) { add_option('NABgColor', '#000000', '', 'yes'); }
	if(!get_option('NABgOpacity')) { add_option('NABgOpacity', 0.7, '', 'yes'); }
	if(!get_option('NABgInnerColor')) { add_option('NABgInnerColor', '#FFFFFF', '', 'yes'); }
	if(!get_option('NABorderColor')) { add_option('NABorderColor', '#FFFFFF', '', 'yes'); }
	if(!get_option('NAShadowColor')) { add_option('NAShadowColor', '#FFFFFF', '', 'yes'); }
	if(!get_option('NAzIndex')) { add_option('NAzIndex', 999999, '', 'yes'); }
	if(!get_option('NACookieEnabled')) { add_option('NACookieEnabled', false, '', 'yes'); }
	if(!get_option('NACookieExpire')) { add_option('NACookieExpire', 5, '', 'yes'); }
	if(!get_option('NAEnabled')) { add_option('NAEnabled', false, '', 'yes'); }
	if(!get_option('NABgIMG')) { add_option('NABgIMG', '', '', 'yes'); }
	if(!get_option('NASkipText')) { add_option('NASkipText', 'Skip this ad >>', '', 'yes'); }
	if(!get_option('NAGlobalAd')) { add_option('NAGlobalAd', '', '', 'yes'); }
	if(!get_option('NAGlobalAdStatus')) { add_option('NAGlobalAdStatus', false, '', 'yes'); }
}

register_activation_hook(__FILE__, "NAInstaller");

/* Initialization of NagAds
----------------------------------------------------------------------------------------------------*/
function NagAdsInit() 
{
	wp_enqueue_script("jquery");
	wp_enqueue_script("swfobject", "http://ajax.googleapis.com/ajax/libs/swfobject/2/swfobject.js", false, "2.2", 0);
	wp_enqueue_script("jquery.NagAds", WP_PLUGIN_URL."/NagAds/plugin/jQuery.NagAds.min.js", array("jquery"), "1.0", 1);
}

add_action("init", "NagAdsInit");

/* Admin Page
----------------------------------------------------------------------------------------------------*/
function NagAdsAdmin() 
{  
    include("NagAdsAdmin.php");
}  

function NagAdsAdminActions() 
{
	 add_menu_page("NagAds", "NagAds", "edit_pages", "NagAds", "NagAdsAdmin"); 
}

add_action("admin_menu", "NagAdsAdminActions", "edit_pages");

/* Place the NagAds script at the shortcode location
----------------------------------------------------------------------------------------------------*/

function InsertNagAdsShortCode($NAAttributes) 
{
	global $wpdb;
	
	$NATableName = $wpdb->prefix . "NAAdsList";
	
	$NAAttributes = shortcode_atts(array
	(
		'id' => NAAdID,
	), $NAAttributes);
	
	$NAAd = $wpdb->get_row("SELECT * FROM " . $NATableName . " WHERE id = '". $NAAttributes["id"] ."'", ARRAY_A);
		
	$NAContentType = $NAAd["ContentType"];
	$NADelay = $NAAd["Delay"];
	$NAURL = $NAAd["Link"];
	$NAYouTubeID = $NAAd["YouTubeID"];
	$NAAdsIMG = $NAAd["AdsIMG"];
	$NAEmbedCode = $NAAd["EmbedCode"];
 	$NASWFURL = $NAAd["SWFURL"];
	$NAWidth = $NAAd["Width"];
	$NAHeight = $NAAd["Height"];
	$NASWFOverLink = $NAAd["LinkOverSWF"];
	
	if(empty($NASWFOverLink))
	{
		$NASWFOverLink = "false";
	}

?>
<script type="text/javascript">
jQuery(document).ready(function() 
{
	jQuery.NagAds(
	{
		'Mode' : '<?php echo $NAContentType; ?>',
		'Delay' : '<?php echo $NADelay; ?>',
		'Link' : '<?php echo $NAURL; ?>',
		'AdsIMG' : '<?php echo $NAAdsIMG; ?>',
		'YouTubeID' : '<?php echo $NAYouTubeID; ?>',
		'SWFURL' : '<?php echo $NASWFURL; ?>',
		'EmbedCode' : '<?php echo html_entity_decode($NAEmbedCode); ?>',
		'SWFOverLink' : <?php echo $NASWFOverLink; ?>,
		'Width' : '<?php echo $NAWidth; ?>',
		'Height' : '<?php echo $NAHeight; ?>',
		'BgColor' : '<?php echo get_option("NABgColor"); ?>',
		'BgIMG' : '<?php echo get_option("NABgIMG"); ?>',
		'BgOpacity' : <?php echo get_option("NABgOpacity"); ?>,
		'BgInnerColor' : '<?php echo get_option("NABgInnerColor"); ?>',
		'BorderColor' : '<?php echo get_option("NABorderColor"); ?>',
		'ShadowColor' : '<?php echo get_option("NAShadowColor"); ?>',
		'SkipText' : '<?php echo get_option("NASkipText"); ?>',
		'zIndex' : <?php echo get_option("NAzIndex"); ?>,
		'CookieEnabled' : <?php echo get_option("NACookieEnabled"); ?>,
		'CookieExpiration' : <?php echo get_option("NACookieExpire"); ?>
	});
});
</script>
<?php
}

/* Load NagAds lunch code
----------------------------------------------------------------------------------------------------*/
function InsertNagAdsCode() 
{
	global $wpdb;
	
	$NATableName = $wpdb->prefix . "NAAdsList";
	
	$NAAdID = get_option("NAGlobalAd");
	
	$NAAd = $wpdb->get_row("SELECT * FROM " . $NATableName . " WHERE id = '". $NAAdID ."'", ARRAY_A);
		
	$NAContentType = $NAAd["ContentType"];
	$NADelay = $NAAd["Delay"];
	$NAURL = $NAAd["Link"];
	$NAYouTubeID = $NAAd["YouTubeID"];
	$NAAdsIMG = $NAAd["AdsIMG"];
	$NAEmbedCode = $NAAd["EmbedCode"];
 	$NASWFURL = $NAAd["SWFURL"];
	$NAWidth = $NAAd["Width"];
	$NAHeight = $NAAd["Height"];
	$NASWFOverLink = $NAAd["LinkOverSWF"];
	
	if(empty($NASWFOverLink))
	{
		$NASWFOverLink = "false";
	}
?>
<script type="text/javascript">
jQuery(document).ready(function() 
{
	jQuery.NagAds(
	{
		'Mode' : '<?php echo $NAContentType; ?>',
		'Delay' : '<?php echo $NADelay; ?>',
		'Link' : '<?php echo $NAURL; ?>',
		'AdsIMG' : '<?php echo $NAAdsIMG; ?>',
		'YouTubeID' : '<?php echo $NAYouTubeID; ?>',
		'SWFURL' : '<?php echo $NASWFURL; ?>',
		'EmbedCode' : '<?php echo html_entity_decode($NAEmbedCode); ?>',
		'SWFOverLink' : <?php echo $NASWFOverLink; ?>,
		'Width' : '<?php echo $NAWidth; ?>',
		'Height' : '<?php echo $NAHeight; ?>',
		'BgColor' : '<?php echo get_option("NABgColor"); ?>',
		'BgIMG' : '<?php echo get_option("NABgIMG"); ?>',
		'BgOpacity' : <?php echo get_option("NABgOpacity"); ?>,
		'BgInnerColor' : '<?php echo get_option("NABgInnerColor"); ?>',
		'BorderColor' : '<?php echo get_option("NABorderColor"); ?>',
		'ShadowColor' : '<?php echo get_option("NAShadowColor"); ?>',
		'SkipText' : '<?php echo get_option("NASkipText"); ?>',
		'zIndex' : <?php echo get_option("NAzIndex"); ?>,
		'CookieEnabled' : <?php echo get_option("NACookieEnabled"); ?>,
		'CookieExpiration' : <?php echo get_option("NACookieExpire"); ?>
	});
});
</script>
<?php
}

function InsertNagAdsCodeHome() 
{
	global $wpdb;
	
	$NATableName = $wpdb->prefix . "NAAdsList";
	
	$NAAdID = get_option("NAHomepageAd");
	
	$NAAd = $wpdb->get_row("SELECT * FROM " . $NATableName . " WHERE id = '". $NAAdID ."'", ARRAY_A);
		
	$NAContentType = $NAAd["ContentType"];
	$NADelay = $NAAd["Delay"];
	$NAURL = $NAAd["Link"];
	$NAYouTubeID = $NAAd["YouTubeID"];
	$NAAdsIMG = $NAAd["AdsIMG"];
	$NAEmbedCode = $NAAd["EmbedCode"];
 	$NASWFURL = $NAAd["SWFURL"];
	$NAWidth = $NAAd["Width"];
	$NAHeight = $NAAd["Height"];
	$NASWFOverLink = $NAAd["LinkOverSWF"];
	
	if(empty($NASWFOverLink))
	{
		$NASWFOverLink = "false";
	}
?>
<script type="text/javascript">
jQuery(document).ready(function() 
{
	jQuery.NagAds(
	{
		'Mode' : '<?php echo $NAContentType; ?>',
		'Delay' : '<?php echo $NADelay; ?>',
		'Link' : '<?php echo $NAURL; ?>',
		'AdsIMG' : '<?php echo $NAAdsIMG; ?>',
		'YouTubeID' : '<?php echo $NAYouTubeID; ?>',
		'SWFURL' : '<?php echo $NASWFURL; ?>',
		'EmbedCode' : '<?php echo html_entity_decode($NAEmbedCode); ?>',
		'SWFOverLink' : <?php echo $NASWFOverLink; ?>,
		'Width' : '<?php echo $NAWidth; ?>',
		'Height' : '<?php echo $NAHeight; ?>',
		'BgColor' : '<?php echo get_option("NABgColor"); ?>',
		'BgIMG' : '<?php echo get_option("NABgIMG"); ?>',
		'BgOpacity' : <?php echo get_option("NABgOpacity"); ?>,
		'BgInnerColor' : '<?php echo get_option("NABgInnerColor"); ?>',
		'BorderColor' : '<?php echo get_option("NABorderColor"); ?>',
		'ShadowColor' : '<?php echo get_option("NAShadowColor"); ?>',
		'SkipText' : '<?php echo get_option("NASkipText"); ?>',
		'zIndex' : <?php echo get_option("NAzIndex"); ?>,
		'CookieEnabled' : <?php echo get_option("NACookieEnabled"); ?>,
		'CookieExpiration' : <?php echo get_option("NACookieExpire"); ?>
	});
});
</script>
<?php
}

add_action('template_redirect', 'add_scripts'); 
function add_scripts() 
{ 
	global $wp_query; 
	if ( is_singular() ) 
	{ 
		$post = $wp_query->get_queried_object(); 
		if ( false !== strpos($post->post_content, '[NagAds') ) 
		{ 
			if(get_option("NAEnabled") == true)
			{
				add_shortcode('NagAds', 'InsertNagAdsShortCode');
			}
		} 
		else
		{
			if(get_option("NAEnabled") == true && get_option("NAGlobalAdStatus") == true)
			{
				add_action("wp_head", "InsertNagAdsCode");
			}
		}
	} 
} 

function CheckForHome()
{
	if(is_home())
	{
		add_action("wp_footer", "InsertNagAdsCodeHome");
		add_shortcode('NagAds', 'NoAction');
	}
}

function NoAction()
{
	// No action, it just supress the visible tag on the page.
}

add_action("wp_head", "CheckForHome");


?>